## Zoom Window Zoom Window — Close up view of the selected glyph |

## Functions

UnicodeCharacterMapZoomWindow * | unicode_character_map_zoom_window_new ()

## Properties

gint | active-cell | Read / Write
gchar * | cell-text | Read / Write
PangoFontDescription * | font-desc | Read / Write

## Types and Values

#define | UNICODE_TYPE_CHARACTER_MAP_ZOOM_WINDOW
| UnicodeCharacterMapZoomWindow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkPopover
                            ╰── UnicodeCharacterMapZoomWindow

## Implemented Interfaces

UnicodeCharacterMapZoomWindow implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <unicode-character-map-zoom-window.h>

## Description

This widget provides a close up of the selected glyph along with Pango font metrics and an option to copy the glyph to the clipboard.

## Functions

### unicode_character_map_zoom_window_new ()

    UnicodeCharacterMapZoomWindow *
    unicode_character_map_zoom_window_new (void);

#### Returns

A newly created UnicodeCharacterMapZoomWindow. Free the returned object using ``g_object_unref()``.

[transfer full]

## Types and Values

### UNICODE_TYPE_CHARACTER_MAP_ZOOM_WINDOW

    #define UNICODE_TYPE_CHARACTER_MAP_ZOOM_WINDOW (unicode_character_map_zoom_window_get_type())

### UnicodeCharacterMapZoomWindow

    typedef struct _UnicodeCharacterMapZoomWindow UnicodeCharacterMapZoomWindow;

## Property Details

### The `“active-cell”` property

      “active-cell”              gint

Active cell in character map.

Owner: UnicodeCharacterMapZoomWindow

Flags: Read / Write

Default value: 0

### The `“cell-text”` property

      “cell-text”                gchar *

Text to display.

Owner: UnicodeCharacterMapZoomWindow

Flags: Read / Write

Default value: NULL

### The `“font-desc”` property

      “font-desc”                PangoFontDescription *

PangoFontDescription.

Owner: UnicodeCharacterMapZoomWindow

Flags: Read / Write